const management: AuthRoute.Route = {
  name: 'management',
  path: '/management',
  component: 'basic',
  children: [
    {
      name: 'management_auth',
      path: '/management/auth',
      component: 'self',
      meta: {
        title: '权限管理',
        i18nTitle: 'message.routes.management.auth',
        requiresAuth: true,
        icon: 'ic:baseline-security'
      }
    },
    {
      name: 'management_role',
      path: '/management/role',
      component: 'self',
      meta: {
        title: '角色管理',
        i18nTitle: 'message.routes.management.role',
        requiresAuth: true,
        icon: 'carbon:user-role'
      }
    },
    {
      name: 'management_user',
      path: '/management/user',
      component: 'self',
      meta: {
        title: '用户管理',
        i18nTitle: 'message.routes.management.user',
        requiresAuth: true,
        icon: 'ic:round-manage-accounts'
      }
    },
    {
      name: 'management_route',
      path: '/management/route',
      component: 'self',
      meta: {
        title: '路由管理',
        i18nTitle: 'message.routes.management.route',
        requiresAuth: true,
        icon: 'material-symbols:route'
      }
    },
    {
      name: 'management_lesson',
      path: '/management/lesson',
      component: 'self',
      meta: {
        title: '课程管理',
        i18nTitle: 'message.routes.management.lesson',
        requiresAuth: true,
        icon: 'carbon:building'
      }
    },{
      name: 'management_curriculum',
      path: '/management/curriculum',
      component: 'self',
      meta: {
        title: '课程表管理',
        i18nTitle: 'message.routes.management.curriculum',
        requiresAuth: true,
        icon: 'ic:baseline-apartment'
      }
    }
  ],
  meta: {
    title: '系统管理',
    i18nTitle: 'message.routes.management._value',
    icon: 'carbon:cloud-service-management',
    order: 9
  }
};

export default management;
