import { request } from '../request';
//! 参数接口(查询)
export interface Query_1Params {
  id?: number;
  week?: number;
  startTime?: Record<string, unknown>;
  endTime?: Record<string, unknown>;
  roomId?: number;
  classId?: number;
  assistantId?: number;
  teacherId?: number;
  categoryId?: number;
  subjectsId?: number;
  createTime?: Record<string, unknown>;
  modifyTime?: Record<string, unknown>;
  createUid?: number;
  disabled?: string;
}

// 响应接口
export interface Query_1Res {
  status: boolean;
  msg: string;
  data: Record<string, unknown>;
  code: number;
}

/** 
 * 查询课程表
 * @param {string} pageNum 
  * @param {string} pageSize 
  * @param {object} params EasEduSchedule
 * @param {number} params.id 
 * @param {number} params.week 当周周几
 * @param {object} params.startTime 起始时间
 * @param {object} params.endTime 结束时间
 * @param {number} params.roomId 教室ID
 * @param {number} params.classId 班级ID
 * @param {number} params.assistantId 助教ID
 * @param {number} params.teacherId 教师ID
 * @param {number} params.categoryId 授课类别
 * @param {number} params.subjectsId 授课内容
 * @param {object} params.createTime 创建时间
 * @param {object} params.modifyTime 修改时间
 * @param {number} params.createUid 创建用户ID
 * @param {string} params.disabled 状态
 * @returns
 */
export function query_1(pageNum: number, pageSize: number, params: Query_1Params): Promise<Query_1Res> {
  return request.post(`/schedule/query?pageNum=${pageNum}&pageSize=${pageSize}`, params);
}


//